Subject: Re: java on cygwin - 2082 tests pass
From: Tom Tromey <[email-masked]>
To: "Billinghurst, David (CRTS)" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: 08 May 2002 10:05:30 -0600

>>>>> "David" == Billinghurst, David (CRTS) <[email-masked]> writes:

David>  - CYGWIN=check_case:strict
David>  - rebuilt binutils with 16-byte alignment
David>  - (and a small testsuite cheat) 

I assume you are building with threads enabled?
As I understand it the GC currently doesn't support threads on Cygwin,
though Hans has a pending patch.

David> FAIL: Array_3 execution from source compiled test

This tests null pointer exception creation and handling.

David> FAIL: Divide_1 execution from source compiled test

This tests divide by zero exception creation and handling.

David> FAIL: KeepInline output from source compiled test

From the test:

    // Demonstrate that private methods can be reflected even if they are
    // not referenced at compile-time (i.e. -fkeep-inline-functions works).

It is odd that this one fails.  What happens?

David> FAIL: SyncTest execution from bytecode->native test
David> FAIL: Thread_Interrupt output from source compiled test
David> FAIL: Thread_Wait_Interrupt output from bytecode->native test

These all require threads.

David> FAIL: Throw_2 execution from source compiled test

This is another null pointer exception creation and handling test.

Overall this is pretty good.  To me it says:

* You need threads to work
* The signal-to-exception code isn't working.  That's not too
  surprising.  Maybe Cygwin needs to use the
  SetUnhandledExceptionFilter code from win32.cc?
  (I'm assuming it doesn't already.)

KeepInline is the only mystery.

Tom

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/